[arch-commits] Commit in potracegui/trunk (PKGBUILD potracegui-gcc43.diff)

Eric Belanger eric at archlinux.org
Fri Jul 25 22:16:19 EDT 2008


    Date: Friday, July 25, 2008 @ 22:16:19
  Author: eric
Revision: 6642

upgpkg: potracegui 1.3.4-2
    rebuild with kdelibs3 depends, added license, added arch tag, patched for gcc 4.3, added md5sums

Added:
  potracegui/trunk/potracegui-gcc43.diff
Modified:
  potracegui/trunk/PKGBUILD

-----------------------+
 PKGBUILD              |   14 +++++++++-----
 potracegui-gcc43.diff |   10 ++++++++++
 2 files changed, 19 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-26 01:27:04 UTC (rev 6641)
+++ PKGBUILD	2008-07-26 02:16:19 UTC (rev 6642)
@@ -4,17 +4,21 @@
 
 pkgname=potracegui
 pkgver=1.3.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Frontend for potrace"
+arch=('i686' 'x86_64')
 url="http://potracegui.sourceforge.net/"
-depends=('potrace' 'kdelibs>=3.5')
+license=('GPL')
+depends=('potrace' 'kdelibs3')
 makedepends=('autotrace')
+source=(http://downloads.sourceforge.net/sourceforge/potracegui/$pkgname-$pkgver.tar.gz potracegui-gcc43.diff)
+md5sums=('42786aa55ae3a7d5510d2f045f06191d' 'a8feec8cbcf51f0c5444235095aaa184')
 
-source=(http://puzzle.dl.sourceforge.net/sourceforge/potracegui/$pkgname-$pkgver.tar.gz)
-
 build() {
   cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/opt/kde
+  . /etc/profile.d/kde3.sh
+  patch -p0 < ../potracegui-gcc43.diff || return 1
+  ./configure --prefix=/opt/kde --without-arts
   make || return 1
   make prefix=$startdir/pkg/opt/kde install
 }

Added: potracegui-gcc43.diff
===================================================================
--- potracegui-gcc43.diff	                        (rev 0)
+++ potracegui-gcc43.diff	2008-07-26 02:16:19 UTC (rev 6642)
@@ -0,0 +1,10 @@
+--- src/mainwidget.cpp.orig	2008-07-25 21:51:24.000000000 -0400
++++ src/mainwidget.cpp	2008-07-25 21:51:26.000000000 -0400
+@@ -45,6 +45,7 @@
+ #include <kcolorbutton.h>
+ #include <kpushbutton.h>
+ #include <kmessagebox.h>
++#include <cstdlib>
+ 
+ #include <fstream>
+ using namespace std;





More information about the arch-commits mailing list